TOP_LEVEL = @TOP_LEVEL@
GPLC      = @GPLC@
HEXGPLC   = @HEXGPLC@
CC        = @CC@
CFLAGS    = @CFLAGS@
EXEEXT    = @EXEEXT@

EXECS     = $(GPLC)$(EXEEXT) $(HEXGPLC)$(EXEEXT)
ALL_EXECS = $(EXECS) $(TOP_LEVEL)$(EXEEXT)


first:	$(EXECS)

$(GPLC)$(EXEEXT): top_comp.c ../EnginePl/sys_conf.h ../EnginePl/config.h \
         decode_hexa.c copying.c
	$(CC) $(CFLAGS) -o $(GPLC)$(EXEEXT) top_comp.c

$(HEXGPLC)$(EXEEXT): hexfilter.c decode_hexa.c 
	$(CC) $(CFLAGS) -o $(HEXGPLC)$(EXEEXT) hexfilter.c



all: $(ALL_EXECS)

$(TOP_LEVEL)$(EXEEXT): ../EnginePl/config.h copying.c top_level.c
	$(GPLC) -o $(TOP_LEVEL)$(EXEEXT) top_level.c



clean:
	-mv $(TOP_LEVEL)$(EXEEXT) $(TOP_LEVEL)0$(EXEEXT)
	rm -f $(ALL_EXECS)

distclean:
	rm -f $(ALL_EXECS) $(TOP_LEVEL)0$(EXEEXT)


